{% extends 'base/base.html' %}
{% load bootstrap4 i18n %}
{% block title %}
    {% trans "Items" %}
{% endblock %}
{% block body %}
    <div class="row">
        <div class="col-8">
            <div class="card">
                <div class="card-header">
                    {{ object.name }}
                    <span class="float-right">

                    {% if object.owner == request.user %}
                        <a class="btn btn-sm btn-primary" href="{% url "item_switch" pk=object.id %}"><small>
                            {% if object.is_available_for_rental %}
                                {% trans "Hide" %}
                            {% else %}
                                {% trans "Show" %}
                            {% endif %}
                        </small></a>
                        <a class="btn btn-sm btn-primary" href="{% url "item_remove" pk=object.id %}"><small>
                                {% trans "Remove" %}
                        </small></a>
                        <a class="btn btn-sm btn-primary" href="{% url "item_edit" pk=object.id %}"><small>
                                {% trans "Edit" %}
                        </small></a>
                    {% else %}
                        <a class="btn btn-sm btn-primary" href="{% url "item_rent" pk=object.id %}"><small>{% trans "Rent" %}</small></a>
                    {% endif %}
                    </span>

                </div>
                <div class="card-body">
                    <p>{% trans "Owner" %}:
                        {% if object.owner == request.user %}{% trans "Me" %}{% else %}{{ object.owner }}{% endif %}</p>
                    <p>{% trans "Type" %}: {{ object.get_type_display }}</p>
                    <p>{% trans "Description" %}: {{ object.description }}</p>
                </div>
                {% if object.image %}
                    <img class="card-img-bottom" src="{{ object.image.url }}">
                {% endif %}
            </div>
        </div>
        <div class="col-4">
            {% for rental in object.itemrental_set.all %}
                <div class="card">
                    <div class="card-body">
                        {% if rental.fulfilled %}
                            <p>{% trans "Rented by" %}: {{ rental.hirer }}</p>
                        {% else %}
                            <p>{% trans "Requested by" %}: {{ rental.hirer }}
                                {% if object.owner == request.user %}
                                    <a class="btn btn-sm btn-primary"
                                       href="{% url "item_accept" pk=object.id rental_pk=rental.id %}">{% trans "Accept" %}</a>
                                {% endif %}
                            </p>
                        {% endif %}
                        <p>{% trans "Date" %}: {{ rental.created }}</p>
                    </div>
                </div>
            {% endfor %}
        </div>
    </div>
{% endblock %}